Package org.eclipse.birt.chart.model.data

# Interface MultipleActions

All Superinterfaces:
  `Action`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `MultipleActionsImpl`

public interface MultipleActions extends Action
A representation of the model object 'Multiple Actions'.

The following features are supported:

- `Actions`
- `Properties Map`

See Also:
  - `DataPackage.getMultipleActions()`

## Method Summary

Modifier and Type
Method
Description
`MultipleActions`
`copyInstance()`
`org.eclipse.emf.common.util.EList<Action>`
`getActions()`
Returns the value of the 'Actions' containment reference list.
`org.eclipse.emf.common.util.EMap<String,String>`
`getPropertiesMap()`
Returns the value of the 'Properties Map' map.

### Methods inherited from interface org.eclipse.birt.chart.model.data.Action

`getType, getValue, isSetType, setType, setValue, unsetType`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getActions

org.eclipse.emf.common.util.EList<Action> getActions()
Returns the value of the 'Actions' containment reference list. The list contents are of type `Action`.

If the meaning of the 'Actions' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Actions' containment reference list.
See Also:
  - `DataPackage.getMultipleActions_Actions()`

### getPropertiesMap

org.eclipse.emf.common.util.EMap<String,String> getPropertiesMap()
Returns the value of the 'Properties Map' map. The key is of type `String`, and the value is of type `String`,

If the meaning of the 'Properties Map' map isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Properties Map' map.
See Also:
  - `DataPackage.getMultipleActions_PropertiesMap()`

### copyInstance

MultipleActions copyInstance()

Specified by:
  `copyInstance` in interface `Action`
Specified by:
  `copyInstance` in interface `IChartObject`